<div class="alert {{ if .Get "type" }}{{ else }}d-flex alert-{{ with .Get "context" }}{{.}}{{ else }}doks{{ end }}{{ end }} {{ if .Get "type" }}alert--{{ with .Get "type"}}{{.}}{{ else }}{{ end }}{{ end }}" role="alert">
  {{ if .Get "type" }}
  {{$type := .Get "type"}}
  
    <div class="alert-header"><span>
      {{ if eq $type "danger"}}
      {{partial "alert/danger.html"}}
      {{end}}
      {{ if eq $type "info"}}
      {{partial "alert/info.html"}}
      {{end}}
      {{ if eq $type "note"}}
      {{partial "alert/note.html"}}
      {{end}}
      {{ if eq $type "tip"}}
      {{partial "alert/tip.html"}}
      {{end}}
      {{ if eq $type "caution"}}
      {{partial "alert/caution.html"}}
      {{end}}

          
          
          </span>
          {{ with .Get "text"}}
                  {{ . | markdownify}}
                  {{else}}
                  {{.Get "type"}}
                {{end}}</div>

    {{ with .Get "content"}}
    <div class="w-100">{{ . | safeHTML }} </div>
  {{ else }}
    {{ with .Inner}}
      <div class="w-100"> {{ . | markdownify}}</div>
    {{ else }}
      {{ errorf "No valid text variable or Inner content given"}}
    {{ end }}
  {{ end}}





  {{ else }}
  <div class="flex-shrink-1 alert-icon">{{ with .Get "icon" }}{{.}} {{ end }}</div>
  {{ with .Get "text"}}
    <div class="w-100">{{ . | safeHTML }} </div>
  {{ else }}
    {{ with .Inner}}
      <div class="w-100"> {{ . | markdownify}}</div>
    {{ else }}
      {{ errorf "No valid text variable or Inner content given"}}
    {{ end }}
  {{ end}}
  {{end}}
</div>
